Subject: Ticket Assigned - Returns
From: Landmark Group <[email-masked]>
To: [email-masked]
Date: Thu, 09 Mar 2023 08:13:25 +0000 (UTC)

Hi Mais Hasan,  A new ticket has been assigned to you. Please follow the link below to view the ticket.  Returns I have placed a return request last Tuesday and it’s not picked up yet. I have made multiple calls to customer care center , all of them ensure that it will be picked up today. But nobody came for pickup. It’s been more than a week now. One person messaged for pickup at 10.30 PM on WhatsApp, asking for location, as I was asleep by then, I couldn’t attend the message that time.Later I messaged him the next day with location and address, but he didn’t reply back. I am returning this items because of size issues. The return process is very tiring. Please look into this matter and arrange for pickup asap. https://landmarkgroupservice.freshdesk.com/helpdesk/tickets/5815719